Bug 126177 - FILESAVE XLSX Hyperlinks between documents does not works if link contains anchor at the end
Summary: FILESAVE XLSX Hyperlinks between documents does not works if link contains an...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:6.4.0 target:6.3.0.2
Keywords:
Depends on:
Blocks: XLSX-Hyperlink
  Show dependency treegraph
 
Reported: 2019-07-01 13:43 UTC by NISZ LibreOffice Team
Modified: 2019-07-09 11:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Excel. (16.43 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-07-01 13:43 UTC, NISZ LibreOffice Team
Details
The original file saved by Calc. (14.62 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-07-01 13:45 UTC, NISZ LibreOffice Team
Details
The export file saved by Calc. (14.63 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-07-01 13:46 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Excel. (68.84 KB, image/png)
2019-07-01 13:47 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-07-01 13:43:47 UTC
Created attachment 152481 [details]
Example file from Excel.

Hyperlinks between documents do not works in Excel if the link contains an anchor at the end when the document was saved in Calc.

1.	Create a document in Microsoft Excel 2016.
2.	Create a hyperlink to a location in another document.
3.	Save the file as XLSX.
4.	Open and save the file in Calc.
5.	Open the file in Excel.
6.	The hyperlink works.
7.	Close the file.
8.	Open and save the file in Calc.
9.	Open the file in Excel.

Actual Results:
The hyperlink doesn’t work.

Expected Results:
The hyperlink should be work.

LibreOffice details:
Version: 6.4.0.0.alpha0+ (x64)
Build ID: 08f485c6e92bd56c8c26171316b842cd213a8a09
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-07-01 13:45:44 UTC
Created attachment 152482 [details]
The original file saved by Calc.
Comment 2 NISZ LibreOffice Team 2019-07-01 13:46:25 UTC
Created attachment 152483 [details]
The export file saved by Calc.
Comment 3 NISZ LibreOffice Team 2019-07-01 13:47:15 UTC
Created attachment 152484 [details]
Screenshot of the problem in Excel.
Comment 4 Tünde Tóth 2019-07-02 06:40:34 UTC
Confirmed with:
 
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 719f4a93e46a6b397356dbb605d2867639ca3942
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-26_00:42:52
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 5 Commit Notification 2019-07-03 09:16:26 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3cdc1b35b9d86bcfa1277e3e94925ae7b18b8fde%5E%21

tdf#126177 XLSX export: fix hyperlinks to documents

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-07-09 11:56:45 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/1d6277e77c33e8f9ad2c557ffe3250243f4a1ce4%5E%21

tdf#126177 XLSX export: fix hyperlinks to documents

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.